This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 78898 - RPM --prefix does not work as expected.
RPM --prefix does not work as expected.
Status: CLOSED DUPLICATE of bug 75057
Product: Red Hat Linux
Classification: Retired
Component: rpm (Show other bugs)
8.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-12-03 00:27 EST by Hema
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-12-03 00:27:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Hema 2002-12-03 00:27:25 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.01; Windows NT 5.0; YComp 5.0.0.0)

Description of problem:
I am using Redhat Linux 8.0 and I was trying to build my own package which 
consists of few shell scripts. I created a relocatable package which allows the 
user to specify the location where it needs to be installed. I was able to 
create the package. But during installation when I tried to install using --
prefix option, the package did not install in the location specified by me, but 
it installed in the default directory specified while building. Please provide 
the fix for the same at the earliest.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Create a relocatable package by specifying "Prefix:" in the spec file.
2.Create the package .rpm
3.Use --prefix when you install.


Actual Results:  When I tried the above steps, it installed in the default 
location as specified in the package.

Expected Results:  Actually, since it is a relocatable package, it should have 
installed in the location specified by me at the time of installation ( --
prefix)

Additional info:
Comment 1 Jeff Johnson 2002-12-03 13:49:49 EST

*** This bug has been marked as a duplicate of 75057 ***

Note You need to log in before you can comment on or make changes to this bug.